package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 快手预警组数据
 */
@Data
@TableName("ctop_rule_data_unit_kuaishou")
public class RuleDateUnitKuaishou {

    /**
     * id
     */
    private Long id;
    /**
     * accountId
     */
    private Long accountId;
    /**
     * planId
     */
    private Long planId;
    /**
     * unitId
     */
    private Long unitId;
    /**
     * unitName
     */
    private String unitName;
    /**
     * 消耗
     */
    private BigDecimal charge;

    private Long convertNum;

    private BigDecimal convertCost;

    /**
     * activation
     */
    private Long activation;
    /**
     * 激活单价
     */
    private BigDecimal activationCost;
    /**
     * 注册数
     */
    private Long eventRegister;
    /**
     * 表单
     */
    private BigDecimal registerCost;
    /**
     * 表单
     */
    private Long formCount;
    /**
     * 表单提交单价
     */
    private BigDecimal formCost;
    /**
     * 付费
     */
    private Long eventPay;
    /**
     * 深度转化目标出价
     */
    private Long deepConversionBid;
    /**
     * 深度转化目标 3: 付费，7: 次日留存，10: 完件, 11: 授信 ，0：无
     */
    private Integer deepConversionType;
    /**
     * 安卓版本  3：不限， 4： 4.x+， 5： 5.x+， 6： 6.x+， 7： 7.x+；
     */
    private Integer androidOsv;
    /**
     * 付费单价
     */
    private BigDecimal payCost;

    private Integer status;

    private java.util.Date createTime;
}
