package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouPopulationGroup;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 人群包-广告组关联表
 *
 * @author jeecg-boot
 * 2021-05-08
 * @version V1.0
 */
public interface IKuaishouPopulationGroupService extends IService<KuaishouPopulationGroup> {

    /* 添加广告组和人群包绑定关系
     *
     * @param unitId            广告组Id
     * @param accountId         账户Id
     * @param population        定向人群包
     * @param paidAudience      付费人群包
     * @param excludePopulation 排除人群包
     * @return void
     * @throws
     * @author ZHAOXA
     */
    void createPopulationAndGroupRel(JSONObject request) throws Exception;
}
